Get Report Schedule By Id

Get Report Schedule By Id
Get a specific Tenant Report Schedule for the specified Report Definition and Schedule identifier

The date and time values configured within the Report Schedule are converted to GMT time zone.

Request
URI
GET
https://{api_host}/suite-api/api/chargeback/reportdefinitions/{id}/schedules/{scheduleId}
COPY
Path Parameters
string
id
Required  

The Tenant Report Definition identifier

string
scheduleId
Required  

The Report Schedule identifier


Authentication
This operation uses the following authentication methods.
Responses
200

The Tenant Report Schedules associated with the Report Definition identifier

Returns chargeback-report-schedule of type(s) application/json
"{\n  \"resourceIds\" : [ \"b7c82429-40cb-47ac-bb98-46ea2af83002\" ],\n  \"startDate\" : \"01/01/2015\",\n  \"reportScheduleType\" : \"MONTHLY\",\n  \"startHour\" : 8,\n  \"startMinute\" : 0,\n  \"recurrence\" : 1,\n  \"dayOfTheMonth\" : 1\n}"
integer As int32 As int32
dayOfTheMonth
Optional

The days of the month when the Schedule will run - Valid values are from 1-31

array of string
daysOfTheWeek
Optional

The days of the week this Schedule repeats

Enumeration: UNKNOWN, SUNDAY, MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY
string As uuid As uuid
id
Optional

UUID of the schedule

integer As int32 As int32
recurrence
Required  

Indicates the recurrence period of the Schedule. Defaults to 1.

string
reportScheduleType
Required  

Types of schedule

Enumeration: UNKNOWN, DAILY, WEEKLY, MONTHLY, YEARLY
array of string
resourceIds
Required  
Constraints: minItems: 0 maxItems: 1

Resource identifiers for which the schedule will be created. Currently we support Schedules for a single Resource.

string
startDate
Required  

Starting time when the Report Schedule comes into effect. Defaults to the current date.

integer As int32 As int32
startHour
Optional

The hour of the day when the Schedule runs. Defaults to 8.

integer As int32 As int32
startMinute
Optional

The minutes of the hour when the Schedule runs. Defaults to 0.

string
weekOfMonth
Optional

Week of the Month

Enumeration: UNKNOWNN, FIRST, SECOND, THIRD, FOURTH, LAST

404

No Tenant Report Definition/Schedule is found with the specified identifier

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/chargeback/reportdefinitions/{id}/schedules/{scheduleId}